## com.trilead.ssh2.packets
Class PacketSessionStartShell

    java.lang.Object
      com.trilead.ssh2.packets.PacketSessionStartShell

    public class PacketSessionStartShell

extends java.lang.Object

PacketSessionStartShell.

Field Summary
`int` `recipientChannelID`
`boolean` `wantReply`

Constructor Summary
`PacketSessionStartShell(int recipientChannelID, boolean wantReply)`

Method Summary
`byte[]` `getPayload()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### recipientChannelID

    public int recipientChannelID

### wantReply

    public boolean wantReply

Constructor Detail

### PacketSessionStartShell

    public PacketSessionStartShell(int recipientChannelID,
                                   boolean wantReply)

Method Detail

### getPayload

    public byte[] getPayload()